# Method: searchAds360Fields.search

- [HTTP request](https://developers.google.com/search-ads/reporting/api/reference/rest/v0/searchAds360Fields/search#body.HTTP_TEMPLATE)
- [Request body](https://developers.google.com/search-ads/reporting/api/reference/rest/v0/searchAds360Fields/search#body.request_body)
  - [JSON representation](https://developers.google.com/search-ads/reporting/api/reference/rest/v0/searchAds360Fields/search#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/search-ads/reporting/api/reference/rest/v0/searchAds360Fields/search#body.response_body)
  - [JSON representation](https://developers.google.com/search-ads/reporting/api/reference/rest/v0/searchAds360Fields/search#body.SearchSearchAds360FieldsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/search-ads/reporting/api/reference/rest/v0/searchAds360Fields/search#body.aspect)

Returns all fields that match the search [query](https://developers.google.com/search-ads/reporting/concepts/field-service#use_a_query_to_get_field_details).

List of thrown errors: [AuthenticationError]() [AuthorizationError]() [HeaderError]() [InternalError]() [QueryError]() [QuotaError]() [RequestError]()

### HTTP request

`POST https://searchads360.googleapis.com/v0/searchAds360Fields:search`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "query": string, "pageToken": string, "pageSize": integer } ``` |

| Fields ||
|---|---|
| `query` | `string` Required. The query string. |
| `pageToken` | `string` Token of the page to retrieve. If not specified, the first page of results will be returned. Use the value obtained from `nextPageToken` in the previous response in order to request the next page of results. |
| `pageSize` | `integer` Number of elements to retrieve in a single page. When too large a page is requested, the server may decide to further limit the number of returned resources. |

### Response body

Response message for `https://developers.google.com/search-ads/reporting/api/reference/rest/v0/searchAds360Fields/search#google.ads.searchads360.v0.services.SearchAds360FieldService.SearchSearchAds360Fields`.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "results": [ { object (`https://developers.google.com/search-ads/reporting/api/reference/rest/v0/searchAds360Fields#SearchAds360Field`) } ], "nextPageToken": string, "totalResultsCount": string } ``` |

| Fields ||
|---|---|
| `results[]` | ``object (`https://developers.google.com/search-ads/reporting/api/reference/rest/v0/searchAds360Fields#SearchAds360Field`)`` The list of fields that matched the query. |
| `nextPageToken` | `string` Pagination token used to retrieve the next page of results. Pass the content of this string as the `pageToken` attribute of the next request. `nextPageToken` is not returned for the last page. |
| `totalResultsCount` | `string (https://developers.google.com/discovery/v1/type-format format)` Total number of results that match the query ignoring the LIMIT clause. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/doubleclicksearch`